.root{
  position: relative;
  left: -120px;
  @media (max-width: 1250px) {
    left: -50px;
  }
  @media (max-width: 1100px) {
    left: -10px;
    .input{
      width: 200px;
    }
  }
  @media (max-width: 880px) {
    left: 0;
    .input{
      width: 150px;
      margin-right:10px ;
    }
  }
  @media (max-width: 645px) {
    .input{
      margin-top: 20px;
    }
    .icon{
      top: 32px;
    }
  }
}
.input{
  border:1px solid rgba(0,0,0,0.1);
  padding: 12px 20px 12px 40px;
  border-radius: 10px;
  font-size: 16px;
  width: 300px;
  transition: all 0.15s ease-in-out;
  &:focus{
    border: 1px solid rgba(0, 0, 0, 0.4);
  }
}
.icon{
  width: 22px;
  height:22px;
  opacity: 0.3; //то степень, в которой содержимое скрывается за элементом, является противоположностью прозрачности
  position:absolute;
  left: 14px;
  top: 12px;
}

.clearIcon{
  width: 18px;
  height: 18px;
  opacity: 0.3;
  position: absolute;
  right: 15px;
  top: 15px;
  cursor: pointer;
  &:hover{
    opacity: 0.8;
  }
}